unit mail;

{$mode objfpc}{$H+}

interface

uses
  Classes,
  SysUtils,
  FileUtil,
  Forms,
  Controls,
  Graphics,
  Dialogs,
  smtpsend,
  ssl_openssl,
  StdCtrls,
  ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnSend: TButton;
    edFrom: TEdit;
    edAN: TEdit;
    edBetreff: TEdit;
    edUser: TEdit;
    edPasswort: TEdit;
    edPort: TEdit;
    edHost: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Nachricht: TMemo;
    Shape1: TShape;
    procedure btnSendClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

function SendMail(MailTo, MailData: string): Boolean;

implementation

{$R *.lfm}

function SendMail(MailTo, MailData: string): Boolean;
var
  SMTP          : TSMTPSend;
  sl            : TStringList;
  User          : String;
  Password      : String;
  MailFrom      : String;
  SMTPHost      : String;
  SMTPPort      : String;

begin
  User          := Form1.edUser.Text;
  Password      := Form1.edPasswort.Text;
  MailFrom      := Form1.edFrom.Text;
  SMTPHost      := Form1.edHost.Text;
  SMTPPort      := Form1.edPort.Text;


  Result := False;
  SMTP   := TSMTPSend.Create;
  sl     := TStringList.Create;
  try
    sl.text        := Maildata;
    SMTP.UserName  := User;
    SMTP.Password  := Password;
    SMTP.TargetHost:= SMTPHost;
    SMTP.TargetPort:= SMTPPort;
    SMTP.AutoTLS   := True;
    if Trim(SMTPPort)<>'25' then
      SMTP.FullSSL:=true; // if sending to port 25, don't use encryption
    if SMTP.Login then
    begin
      result := SMTP.MailFrom(MailFrom, Length(MailData)) and
                SMTP.MailTo(MailTo) and
                SMTP.MailData(sl);
      SMTP.Logout;
    end;
  finally
    SMTP.Free;
    sl.Free;
  end;
end;

{ TForm1 }

procedure TForm1.btnSendClick(Sender: TObject);
begin
  SendMail(edAN.Text, Nachricht.Text);
end;


end.

